Subject: Re: [PATCHv5 2/6] Gitweb: add support for minifying gitweb.css

From: Jakub Narebski <[email-masked]>
Date: Thu, 15 Apr 2010 03:02:47 +0200

Junio C Hamano wrote:
> Jakub Narebski <[email-masked]> writes:
> 
> >> -gitweb.cgi: gitweb.perl $(GITWEB_JS) $(GITWEB_CSS)
> >> +gitweb.cgi: gitweb.perl
> > ...
> > That makes gitweb.cgi not depend on gitweb.min.js, not gitweb.min.css.
> 
> That is what I inteded to do.
> 
> Unless you are including gitweb.cgi (iow, the contents of the generated
> file depends on the _contents_ of gitweb.min.js (or gitweb.js), gitweb.cgi
> does _not_ depend on these files.  Of course if you generate gitweb.cgi
> out of gitweb.perl with one setting of GITWEB_JS and then change your
> mind, then you need to regenerate it, but that is not something you can do
> by comparing file timestamp of gitweb.cgi and the file timestamp of
> $(GITWEB_JS) anyway.  You would need to imitate something like how
> GIT-BUILD-OPTIONS is used by the primary Makefile.

Right.  I agree.

P.S. This is nt the case with git-instaweb, which literally include 
gitweb.js or gitweb.min.js...

-- 
Jakub Narebski
Poland